IO::SingularIOHandler Class Reference

`#include <SingularIOHandler.h>`

Inheritance diagram for IO::SingularIOHandler:

## Public Member Functions

| SingularIOHandler ()
Public Member Functions inherited from IO::IOHandlerCommon
| IOHandlerCommon (const char *formatName, const char *formatDescription)
void | readRing (Scanner &in, VarNames &names)
| Reads a ring, i.e.
bool | peekRing (Scanner &in)
| Returns true if what follows in the input is a ring, assuming there are no syntax errors.
void | readBareIdeal (Scanner &in, InputConsumer &consumer)
| Reads an ideal without a ring preceding it.
void | readBarePolynomial (Scanner &in, const VarNames &names, CoefBigTermConsumer &consumer)
| Reads a polynomial without a ring preceding it.
Public Member Functions inherited from IOHandler
virtual | ~IOHandler ()
void | readIdeal (Scanner &in, InputConsumer &consumer)
| Read an ideal and feed it to the consumer.
void | readIdeals (Scanner &in, InputConsumer &consumer)
| Read a number of ideals and feed them to the consumer.
void | readTerm (Scanner &in, const VarNames &names, vector< mpz_class > &term)
void | readPolynomial (Scanner &in, CoefBigTermConsumer &consumer)
void | readSatBinomIdeal (Scanner &in, SatBinomConsumer &consumer)
void | writeTerm (const vector< mpz_class > &term, const VarNames &names, FILE *out)
bool | hasMoreInput (Scanner &in) const
const char * | getName () const
const char * | getDescription () const
unique_ptr< BigTermConsumer > | createIdealWriter (FILE *out)
unique_ptr< BigTermConsumer > | createIdealListWriter (FILE *out)
unique_ptr< CoefBigTermConsumer > | createPolynomialWriter (FILE *out)
bool | supportsInput (const DataType &type) const
bool | supportsOutput (const DataType &type) const

## Static Public Member Functions

static const char * | staticGetName ()

## Private Member Functions

virtual BigTermConsumer * | doCreateIdealWriter (FILE *out)
virtual CoefBigTermConsumer * | doCreatePolynomialWriter (FILE *out)
virtual void | doWriteTerm (const vector< mpz_class > &term, const VarNames &names, FILE *out)
virtual void | doReadTerm (Scanner &in, const VarNames &names, vector< mpz_class > &term)
virtual void | doReadTerm (Scanner &in, InputConsumer &term)
virtual void | doReadRing (Scanner &in, VarNames &names)
virtual bool | doPeekRing (Scanner &in)
virtual void | doReadBareIdeal (Scanner &in, const VarNames &names, BigTermConsumer &consumer)
virtual void | doReadBareIdeal (Scanner &in, InputConsumer &consumer)
virtual void | doReadBarePolynomial (Scanner &in, const VarNames &names, CoefBigTermConsumer &consumer)

## Additional Inherited Members

Protected Member Functions inherited from IO::IOHandlerImpl
| IOHandlerImpl (const char *formatName, const char *formatDescription)
void | registerInput (const DataType &type)
| Specify that input of the argument type is supported.
void | registerOutput (const DataType &type)
| Specify that output of the argument type is supported.

## Detailed Description

Definition at line 29 of file SingularIOHandler.h.

## Constructor & Destructor Documentation

## SingularIOHandler()

IO::SingularIOHandler::SingularIOHandler | ( |  | ) |

Definition at line 106 of file SingularIOHandler.cpp.

## Member Function Documentation

## doCreateIdealWriter()

BigTermConsumer * IO::SingularIOHandler::doCreateIdealWriter | ( | FILE * | out | ) |

private virtual

Implements IO::IOHandlerImpl.

Definition at line 120 of file SingularIOHandler.cpp.

## doCreatePolynomialWriter()

CoefBigTermConsumer * IO::SingularIOHandler::doCreatePolynomialWriter | ( | FILE * | out | ) |

private virtual

Reimplemented from IO::IOHandlerImpl.

Definition at line 124 of file SingularIOHandler.cpp.

## doPeekRing()

bool IO::SingularIOHandler::doPeekRing | ( | Scanner & | in | ) |

private virtual

Implements IO::IOHandlerCommon.

Definition at line 191 of file SingularIOHandler.cpp.

## doReadBareIdeal() [1/2]

void IO::SingularIOHandler::doReadBareIdeal | ( | Scanner & | in,
|  | const VarNames & | names,
|  | BigTermConsumer & | consumer )

private virtual

Definition at line 195 of file SingularIOHandler.cpp.

## doReadBareIdeal() [2/2]

void IO::SingularIOHandler::doReadBareIdeal | ( | Scanner & | in,
|  | InputConsumer & | consumer )

private virtual

Reimplemented from IO::IOHandlerCommon.

Definition at line 215 of file SingularIOHandler.cpp.

## doReadBarePolynomial()

void IO::SingularIOHandler::doReadBarePolynomial | ( | Scanner & | in,
|  | const VarNames & | names,
|  | CoefBigTermConsumer & | consumer )

private virtual

Reimplemented from IO::IOHandlerCommon.

Definition at line 233 of file SingularIOHandler.cpp.

## doReadRing()

void IO::SingularIOHandler::doReadRing | ( | Scanner & | in,
|  | VarNames & | names )

private virtual

Implements IO::IOHandlerCommon.

Definition at line 145 of file SingularIOHandler.cpp.

## doReadTerm() [1/2]

void IO::SingularIOHandler::doReadTerm | ( | Scanner & | in,
|  | const VarNames & | names,
|  | vector< mpz_class > & | term )

private virtual

Definition at line 135 of file SingularIOHandler.cpp.

## doReadTerm() [2/2]

void IO::SingularIOHandler::doReadTerm | ( | Scanner & | in,
|  | InputConsumer & | term )

private virtual

Reimplemented from IO::IOHandlerImpl.

Definition at line 141 of file SingularIOHandler.cpp.

## doWriteTerm()

void IO::SingularIOHandler::doWriteTerm | ( | const vector< mpz_class > & | term,
|  | const VarNames & | names,
|  | FILE * | out )

private virtual

Implements IOHandler.

Definition at line 129 of file SingularIOHandler.cpp.

## staticGetName()

const char * IO::SingularIOHandler::staticGetName | ( |  | ) |

static

Definition at line 116 of file SingularIOHandler.cpp.

The documentation for this class was generated from the following files:

- src/SingularIOHandler.h
- src/SingularIOHandler.cpp